-- Auto R/R
--
-- This addon auto-reloads and auto-repairs your active ship when you dock or otherwise enter a station.
--
-- Modded by TheRedSpy to have a toggle for reloading those trident TU's for free :]
-- Also added some text colour features to make it more obvious. It is really simple now to change the colour values using standard html colours in the below code to get the messages to show up in the  colours that you like.
--Usage:
-- /AutoRR will toggle On and Off the auto reloading. You can also use the options "/autorr on" or "/autorr off" and bind these to keys 


-- Original History of AutoRR:
-- Modified by igrok to print more detailed repair/refill info.
-- originally by raybondo
--
-- version 1.2
--
--
-- need to globally create this because RegisterEvent only holds a weak reference to the object.

declare('AutoRR', AutoRR or {})
AutoRR = {}
AutoRR.reloadthingy = {}
AutoRR.enabled = true

function AutoRR.PrintToHUD(msg)
	HUD:PrintSecondaryMsg(msg)
end

function AutoRR.PrintToChat(msg, colour)
	purchaseprint("\127" .. colour .. msg .. "\127o")
end

function AutoRR.Toggle()
	if AutoRR.enabled then
		AutoRR.enabled = false
		AutoRR.PrintToHUD("\127c80000" .. "Manual Repair/Reload (Off)" .. "\127o")
	else
		AutoRR.enabled = true
		AutoRR.PrintToHUD("\12700ad45" .. "Automatic Repair/Reload (On)" .. "\127o")
	end -- end if
end -- end Toggle

function AutoRR.Commands(data, args)
    if args then
        if args[1] then
            if string.lower(args[1]) == "on" then
				-- enable plugin
		AutoRR.enabled = true
		AutoRR.PrintToHUD("\12700ad45" .. "Automatic Repair/Reload" .. "\127o")
            elseif string.lower(args[1]) == "off" then
				-- disable plugin
		AutoRR.enabled = false
		AutoRR.PrintToHUD("\127c80000" .. "Manual Repair/Reload" .. "\127o")
            else
				-- show error message and the help message
AutoRR.PrintToHUD("Bad Option. Use: /AutoRR, /AutoRR on, /AutoRR off.")
            end -- end args[1] parsing
        end -- end args[1] check
    else
 	AutoRR.Toggle()   
    end -- end args check
end -- end Commands


function AutoRR.reloadthingy:OnEvent(eventname, ...)
    if AutoRR.enabled == true and eventname == "ENTERED_STATION" then
        AutoRR.money = GetMoney()
        AutoRR.repairCost = 0
        AutoRR.refillCost = 0

        RepairShip(GetActiveShipID(), 1, function()
            AutoRR.repairCost = AutoRR.money - GetMoney()
            AutoRR.money = GetMoney()

            ReplenishAll(GetActiveShipID(), function()
                AutoRR.refillCost = AutoRR.money - GetMoney()

                if AutoRR.repairCost > 0 and AutoRR.refillCost > 0 then
                    AutoRR.PrintToChat('Ship auto-repaired (' .. AutoRR.repairCost .. 'c) and auto-refilled (' .. AutoRR.refillCost .. 'c).','00ad45')
                elseif AutoRR.repairCost > 0 then
                    AutoRR.PrintToChat('Ship auto-repaired (' .. AutoRR.repairCost .. 'c).','00ad45')
                elseif AutoRR.refillCost > 0 then
                    AutoRR.PrintToChat('Ship auto-refilled (' .. AutoRR.refillCost .. 'c).','00ad45')
                end
            end)
        end)
	else
    end
end

RegisterEvent(AutoRR.reloadthingy, "ENTERED_STATION")

RegisterUserCommand('AutoRR', AutoRR.Commands)
